Subject: Re: bug#55075: 29.0.50; vtable: Option to not draw the header line at all

From: Visuwesh <[email-masked]>
Date: Sat, 23 Apr 2022 19:59:18 +0530

[சனி ஏப்ரல் 23, 2022] Lars Ingebrigtsen wrote:

> Visuwesh <[email-masked]> writes:
>
>> In this example, it would be nice if vtable did not draw an empty column
>> line when :use-header-line and :columns are nil, which would let the
>> library users to draw rows of aligned texts without resorting to a
>> workaround that sets header-line-format to nil afterwards.
>
> Yup.  I've now changed it so that it doesn't create the header or header
> line if columns aren't specified.
>

Great, thanks.

>> P.S. shouldn't the default :face be variable-pitch-text instead?
>
> variable-pitch-text is for when you assume that variable-pitch will be
> mixed with fixed-width, and that's not usually the case here.

Ah, I thought variable-pitch-text was for used for in-buffer text and
variable-pitch for things like the header-line and the mode-line
(usually things that don't need to be super readable or that important).
But now, I get the idea, thanks.
[ Maybe this should be spelt out in the NEWS file?  ]